CREATE INDEX FHCAccessauthrtyNm ON FHCAccess( authorityName );

CREATE INDEX FHCAccessUserComp ON FHCAccess( osrelUserId, osrelCompId );
CREATE UNIQUE INDEX FHCAccUserCompAuth ON FHCAccess( osrelUserId, osrelCompId, authorityName );

CREATE INDEX FHCAuthorityname ON FHCAuthority( name );

CREATE UNIQUE INDEX FHCAuthActName ON FHCAuthority( action, name );

CREATE UNIQUE INDEX FHCBecomeNoDup ON FHCBecome( osrelBecomeUserId, osrelUserId );

CREATE INDEX FHCChangeosrlPthId ON FHCChange( osrelPathId );
CREATE INDEX FHCChangesrlTrckId ON FHCChange( osrelTrackId );
CREATE INDEX FHCChangesrlVrsnId ON FHCChange( osrelVersionId );

CREATE INDEX FHCChgPthTrkVerTyp ON FHCChange( osrelPathId, osrelTrackId, osrelVersionId, type );

CREATE INDEX FHCComposrelUserId ON FHCComp( osrelUserId );

CREATE UNIQUE INDEX FHCCompName ON FHCComp( name, oid );
CREATE UNIQUE INDEX FHCCompOIDName ON FHCComp( oid, name );

CREATE UNIQUE INDEX FHCCompMemberRank ON FHCCompMember( osrelChildId, osrelParentId, rank );
CREATE UNIQUE INDEX FHCCompMemParent ON FHCCompMember( osrelParentId, oid );

CREATE INDEX FHCCfgComProcname ON FHCCfgComProc( name );

CREATE UNIQUE INDEX FHCCfgComProcNoDup ON FHCCfgComProc( config, name );

CREATE UNIQUE INDEX FHCCnfgTypeNameDep ON FHCConfig( type, name, dependent, oid );
CREATE UNIQUE INDEX FHCConfgTypeName ON FHCConfig( type, name );

CREATE INDEX FHCCoreqgroupId ON FHCCoreq( groupId );
CREATE INDEX FHCCoreqosrlTrckId ON FHCCoreq( osrelTrackId );

CREATE UNIQUE INDEX FHCDefectname ON FHCDefect( name );
CREATE INDEX FHCDefectreference ON FHCDefect( reference );
CREATE INDEX FHCDefectosrlCmpId ON FHCDefect( osrelCompId );
CREATE INDEX FHCDefectsrlOwnrId ON FHCDefect( osrelOwnerId );
CREATE INDEX FHCDefectsrlOrgnId ON FHCDefect( osrelOriginId );

CREATE UNIQUE INDEX FHCDefectNameType ON FHCDefect( name, type, oid );
CREATE INDEX FHCDefectDuplicate ON FHCDefect( duplicate, oid );

CREATE INDEX FHCEnvironmentname ON FHCEnvironment( name );

CREATE UNIQUE INDEX FHCEnvirNoDup ON FHCEnvironment( name, osrelReleaseId );

CREATE INDEX FHCFileosrelCompId ON FHCFile( osrelCompId );
CREATE INDEX FHCFileosrelPathId ON FHCFile( osrelPathId );

CREATE INDEX FHCFileRelPath ON FHCFile( osrelReleaseId, osrelPathId );
CREATE UNIQUE INDEX FHCFileCollOID ON FHCFile( osrelCollectorId, OID );

CREATE INDEX FHCFilesOutuserId ON FHCFilesOut( userId );

CREATE INDEX FHCHistrysrlDfctId ON FHCHistory( osrelDefectId );

CREATE INDEX FHCHostlogin ON FHCHost( login );

CREATE UNIQUE INDEX FHCHostNoDup ON FHCHost( name, login, osrelUserId );
CREATE UNIQUE INDEX FHCHostUserOID ON FHCHost( osrelUserId, OID );

CREATE INDEX FHCInterestname ON FHCInterest( name );

CREATE INDEX FHCInterestActName ON FHCInterest( action, name );

CREATE UNIQUE INDEX FHCLevelNoDup ON FHCLevel( osrelReleaseId, name );
CREATE UNIQUE INDEX FHCLevelOIDName ON FHCLevel( oid, name );
CREATE UNIQUE INDEX FHCLevelNameOID ON FHCLevel( name, oid );
CREATE UNIQUE INDEX FHCLevelRelCommit ON FHCLevel( osrelReleaseId, commitDate, oid );
CREATE UNIQUE INDEX FHCLevelOIDState ON FHCLevel( oid, state );

CREATE INDEX FHCLevelMemTrkLvl ON FHCLevelMember( osrelTrackId, osrelLevelId );
CREATE INDEX FHCLevelMemNoDup ON FHCLevelMember( osrelLevelId, osrelTrackId, workAreaOVersionId );

CREATE INDEX FHCNoteDate ON FHCNote( osrelDefectId, addDate );

CREATE INDEX FHCNotifyinterstNm ON FHCNotify( interestName );

CREATE UNIQUE INDEX FHCPathname ON FHCPath( name );
CREATE INDEX FHCPathbaseName ON FHCPath( baseName );

CREATE INDEX FHCPathOIDName ON FHCPath( oid, name );

CREATE UNIQUE INDEX FHCReleaseName ON FHCRelease( name, oid, pTipOVer );
CREATE UNIQUE INDEX FHCReleaseOIDName ON FHCRelease( oid, name );

CREATE INDEX FHCCfgRelProcname ON FHCCfgRelProc( name );

CREATE UNIQUE INDEX FHCCfgRelProcNoDup ON FHCCfgRelProc( config, name );

CREATE UNIQUE INDEX FHCProcessname ON FHCProcess( name );

CREATE UNIQUE INDEX FHCSequencename ON FHCSequence( name );

CREATE INDEX FHCShadowRelIdName ON FHCShadow( osrelReleaseId, name );

CREATE INDEX FHCShadowPrtIdWAPt ON FHCShadowPart( osrelShadowId, osrelWorkAreaId, osrelCollectorId );

CREATE INDEX FHCTrackosrlDfctId ON FHCTrack( osrelDefectId );
CREATE INDEX FHCTrackosrelUsrId ON FHCTrack( osrelUserId );

CREATE UNIQUE INDEX FHCTrackState ON FHCTrack( state, oid );
CREATE INDEX FHCTrackRelDef ON FHCTrack( osrelReleaseId, osrelDefectId );
CREATE UNIQUE INDEX FHCTrackWADef ON FHCTrack( osrelWorkAreaId, osrelDefectId, oid );

CREATE UNIQUE INDEX FHCUserlogin ON FHCUser( login );

CREATE UNIQUE INDEX FHCUserOIDLogin ON FHCUser( oid, login, name, area );

CREATE INDEX FHCVerifyDefUser ON FHCVerify( osrelDefectId, osrelUserId, OID );

CREATE UNIQUE INDEX FHCWorkAreaNameOID ON FHCWorkArea( name, oid, osrelReleaseId, pTipOVer );
CREATE UNIQUE INDEX FHCWorkAreaOIDName ON FHCWorkArea( oid, name, pTipOVer, osrelReleaseId );
CREATE UNIQUE INDEX FHCWorkAreaBPName ON FHCWorkArea( osrelBranchPointId, name, pTipOVer );

CREATE UNIQUE INDEX FHCOverride1 ON FHCFileOverrideR( osrelFileId, osrelWorkAreaId, osrelReleaseId, osrelUserId );

CREATE INDEX FHCSecurtysrlUsrId ON FHCSecurity( osrelUserId );
CREATE INDEX FHCSecuritysessnId ON FHCSecurity( sessionId );

CREATE INDEX TCTargetSrcName ON TCTarget( osrelSourceObjctId, targetName );

